
Website Input - Feature #1561

Wizard for making, editing inputs

11/11/2016 08:18 PM - Luke Murphey

Status: Closed Start date: 11/11/2016

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category: Dashboard: Input Editor Estimated time: 0.00 hour

Target version: 4.0   

Description

Subtasks:

Task # 1562: Add in StepWizardControl Closed

Task # 1563: Create page 1: URL, spidering options Closed

Task # 1564: Create page 2: authentication Closed

Task # 1565: Create page 3: selector creation page Closed

Task # 1566: Create page 4: output configuration Closed

Task # 1567: Create page 5: index, sourcetype settings Closed

Task # 1568: Create page 6: input name, title Closed

Task # 1569: Create page 7: final page Closed

Task # 1571: Make endpoint for saving search Closed

Task # 1572: Wire up clear selector button Closed

Task # 1573: Render discovered URLs in preview URL Closed

Task # 1574: Wire up input validation Closed

Task # 1575: Render list of indexes Closed

Feature # 1576: Sync typed selector into the selector gadget Closed

Feature # 1577: Handle error when preview could not be done Closed

Bug # 1578: Selector page issues Closed

Bug # 1579: Need to clear validation message once successful Closed

Feature # 1580: Persist boolean values Closed

Task # 1581: Load values from default stanza Closed

Task # 1582: Handle errors when saving inputs Closed

History

#1 - 11/11/2016 08:50 PM - Luke Murphey

Some things that need to work:

Using authenticated inputs

Loading of existing inputs

Handling of attempts to make duplicate inputs

#2 - 11/11/2016 09:25 PM - Luke Murphey

Not sure where the following options should go:

User-agent

Timeout

Here are the stages of development (which config options to be supported):

1. URL, selector, name, interval

2. Crawler options

3. Authentication

05/03/2024 1/2



4. Browser setting

5. Output formatting

6. User agent

7. Sourcetype, index, host

#3 - 11/15/2016 06:20 AM - Luke Murphey

- Category set to Dashboard: Input Editor

- Assignee set to Luke Murphey

#4 - 11/15/2016 07:09 AM - Luke Murphey

- Status changed from New to Closed
